curl --request GET \
--url https://api.spacebring.com/resources/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/resources/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/resources/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"resources": [
{
"assignments": [
{
"entire": true,
"resourceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "<string>",
"endDate": "<string>"
},
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"quantity": 123,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"surname": "<string>"
}
}
],
"children": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"confirmationEmail": {
"bookingCreatedByAdmin": true,
"bookingCreatedByMember": true,
"bookingCreatedByNetworkMember": true,
"bookingCreatedByPublic": true,
"template": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"credits": {
"enabled": true,
"tiers": [
{
"flatAmount": 123,
"from": 123,
"unitAmount": 123
}
]
},
"description": "<string>",
"duration": {
"max": 123,
"min": 123,
"public": {
"enabled": true,
"max": 123,
"min": 123
}
},
"dynamicPricing": {
"deltaAbove": 123,
"deltaBelow": 123,
"enabled": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"money": {
"enabled": true,
"tiers": [
{
"flatAmount": 123,
"from": 123,
"unitAmount": 123
}
]
},
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"autoRelease": {
"enabled": true
},
"avigilonAltaGroupRef": 123,
"bookingStepMinutes": 123,
"brivoGroupRef": 123,
"capacity": 123,
"checkIn": {},
"dayPassesEnabled": true,
"googleCalendar": {
"id": "<string>",
"twoWaySyncEnabled": true
},
"imageUrl": "<string>",
"kisiGroupRef": 123,
"parentRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plans": {
"enabled": true,
"tiers": [
{
"addons": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"commitmentCycles": 123,
"credits": 123,
"entire": true,
"grantedDiscounts": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"percentOff": 123,
"productTypes": []
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan": {
"commitmentCycles": 123,
"credits": 123,
"dayPasses": 123,
"grantedDiscounts": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"percentOff": 123,
"productTypes": []
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"title": "<string>",
"discounts": {
"creditPackages": 123,
"desks": 123,
"equipment": 123,
"events": 123,
"rooms": 123,
"shop": 123
}
},
"price": 123,
"setupFee": 123,
"title": "<string>",
"dayPasses": 123,
"description": "<string>",
"discounts": {
"creditPackages": 123,
"desks": 123,
"equipment": 123,
"events": 123,
"rooms": 123,
"shop": 123
},
"selfSignupType": "<string>"
}
]
},
"saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule": {
"default": {
"closedDays": [
"<string>"
],
"items": [
{
"days": {
"friday": true,
"monday": true,
"saturday": true,
"sunday": true,
"thursday": true,
"tuesday": true,
"wednesday": true
},
"hours": {
"from": "<string>",
"to": "<string>"
}
}
]
},
"enabled": true,
"public": {
"closedDays": [
"<string>"
],
"enabled": true,
"items": [
{
"days": {
"friday": true,
"monday": true,
"saturday": true,
"sunday": true,
"thursday": true,
"tuesday": true,
"wednesday": true
},
"hours": {
"from": "<string>",
"to": "<string>"
}
}
]
}
},
"tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve resources
Retrieve resources in the location. Resources represent all kind of bookable items like rooms, hot desks, dedicated desks, parking lots.
OAuth
Required scopes:resources.readonly or resourcesAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location.
The types of resources to retrieve. Pass them as comma separated values.
hotDesk, dedicatedDesk, office, parkingLot, room Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
The number of items to return.
1 <= x <= 100Response
OK
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Show child attributes
Show child attributes
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?